[2/2] prelink_git.bb: Only block the postinst script when no image-prelink

Submitted by Mark Hatle on June 29, 2011, 1:42 a.m.

Details

Message ID c2e9613af3f240b6310bc596d06a199dd9e2bcef.1309311666.git.mark.hatle@windriver.com
State New, archived
Headers show

Commit Message

Mark Hatle June 29, 2011, 1:42 a.m.
If image-prelink is being used, the system will automatically prelink
the target image.  This avoids the need to run the postinst prelink
script at first boot.  However, if the user has not enabled image
prelinking -- then we do enable the script to run on first boot.

Signed-off-by: Mark Hatle <mark.hatle@windriver.com>
---
 meta/recipes-devtools/prelink/prelink_git.bb |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

Patch hide | download patch | download mbox

diff --git a/meta/recipes-devtools/prelink/prelink_git.bb b/meta/recipes-devtools/prelink/prelink_git.bb
index b57c145..1b34e59 100644
--- a/meta/recipes-devtools/prelink/prelink_git.bb
+++ b/meta/recipes-devtools/prelink/prelink_git.bb
@@ -10,7 +10,7 @@  LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=c93c0550bd3173f4504b2cbd8991e50b"
 SRCREV = "ac461e73b17253a4da25c5aafeac7193b553156c"
 PV = "1.0+git${SRCPV}"
-PR = "r3"
+PR = "r4"
 
 #
 # The cron script attempts to re-prelink the system daily -- on
@@ -58,11 +58,13 @@  do_install_append () {
 	install -m 0644 ${WORKDIR}/macros.prelink ${D}${sysconfdir}/rpm/macros.prelink
 }
 
+# If we're using mklibs-prelink, we want to skip this on the host side
+# but still do it if the package is installed on the target...
 pkg_postinst_prelink() {
 #!/bin/sh
 
 if [ "x$D" != "x" ]; then
-  exit 1
+  ${@base_contains('USER_CLASSES', 'image-prelink', 'exit 0', 'exit 1', d)}
 fi
 
 prelink -a

Comments

Phil Blundell June 29, 2011, 11:20 a.m.
On Tue, 2011-06-28 at 20:42 -0500, Mark Hatle wrote:
> +# If we're using mklibs-prelink, we want to skip this on the host side

Is it really "mklibs-prelink"?  I thought those were two different
things.

p.
Phil Blundell June 29, 2011, 11:20 a.m.
On Wed, 2011-06-29 at 12:20 +0100, Phil Blundell wrote:
> On Tue, 2011-06-28 at 20:42 -0500, Mark Hatle wrote:
> > +# If we're using mklibs-prelink, we want to skip this on the host side
> 
> Is it really "mklibs-prelink"?  I thought those were two different
> things.

Ah, nevermind, I see you changed this in v2.

p.